Package: java.lang

## [Java] Class Boolean

- java.lang.Boolean

-     public class Boolean
      extends Object

  GDK enhancements for Boolean.

  displayName:
    Boolean
  receiverFqcn:
    java.lang.Boolean

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Boolean` | `and(Boolean right)` Logical conjunction of two boolean operators.
    `` | `public boolean` | `asBoolean()` Coerce a Boolean instance to a boolean value.
    `` | `public Boolean` | `implies(Boolean right)` Logical implication of two boolean operands.
    `` | `public Boolean` | `or(Boolean right)` Logical disjunction of two boolean operators
    `` | `public Boolean` | `toBoolean()` Identity conversion which returns Boolean.TRUE for a true Boolean and Boolean.FALSE for a false Boolean.
    `` | `public Boolean` | `xor(Boolean right)` Exclusive disjunction of two boolean operators

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public Boolean and(Boolean right)

      Logical conjunction of two boolean operators.

      Parameters:
        `right` - right operator
      Returns:
        result of logical conjunction
      Since:
        1.0

    - #### public boolean asBoolean()

      Coerce a Boolean instance to a boolean value.

           // you can omit ".asBoolean()"
           assert Boolean.TRUE.asBoolean()
           assert !Boolean.FALSE.asBoolean()

      Since:
        1.7.0

    - #### public Boolean implies(Boolean right)

      Logical implication of two boolean operands.

      Since:
        1.8.3

    - #### public Boolean or(Boolean right)

      Logical disjunction of two boolean operators

      Parameters:
        `right` - right operator
      Returns:
        result of logical disjunction
      Since:
        1.0

    - #### public Boolean toBoolean()

      Identity conversion which returns Boolean.TRUE for a true Boolean and Boolean.FALSE for a false Boolean.

      Returns:
        the original Boolean
      Since:
        1.7.6

    - #### public Boolean xor(Boolean right)

      Exclusive disjunction of two boolean operators

      Parameters:
        `right` - right operator
      Returns:
        result of exclusive disjunction
      Since:
        1.0